version: '3.7'
#
# THIS is for local development.
# Related files are in ./dev_env
#
networks:
  frontend:
  backend:
services:
  hackystack:
    container_name: hackystack
    build:
      context: .
      args:
        APP_ENV: local
        DB_HOST: mysql
        MYSQL_DATABASE: hackystack
        MYSQL_USER: youruser
        MYSQL_PASSWORD: yourpassword
    command: ping -q -i 60 127.0.0.1  # Keeps container alive
    depends_on:
      - mysql
    ports:
      - 80:80
    networks:
      - frontend
      - backend

  mysql:
    container_name: mysql
    build:
      context: ./dev_env/mysql
    environment:
        MYSQL_ROOT_PASSWORD: R00t+
        MYSQL_DATABASE: hackystack
        MYSQL_USER: youruser
        MYSQL_PASSWORD: yourpassword
    ports:
      - 3306:3306
    volumes:
    - ./dev_env/mysql/data:/var/lib/mysql
    networks:
      - frontend
      - backend
